cmake_minimum_required(VERSION 2.8)

project(ls11cloud_tests)

include(CTest)

# Специфические определения проекта для сборки и запуска тестов
if (APPLE)
	set(PKCS11_API_PATH  libls11cloud.dylib)
elseif (UNIX)
	set(PKCS11_API_PATH  libls11cloud.so)
elseif (WIN32)
	set(PKCS11_API_PATH  ls11cloud)
endif (APPLE)

set(USER_PIN  01234567)
set(SO_PIN  76543210)

# Сборка универсальных тестов PKCS#11
add_subdirectory(pkcs11_tests)
